<?php
/**
 * @version $Id: modinfo.php 640 2010-07-01 14:18:58Z hodaka $
 * @package myuploader
 */

$constpref = '_MI_'.strtoupper($mydirname);
if(!defined($constpref.'_LOADED')) {
    define($constpref.'_LOADED', 1);

define($constpref.'_LANG_AUTHOR', 'Author');
define($constpref.'_LANG_CREDITS', 'Credits');
define($constpref.'_TPL_CATEGORY_LIST', 'Category list');
define($constpref.'_TPL_CATEGORY_EDIT', 'Edit a category');
define($constpref.'_TPL_CATEGORY_DELETE', 'Delete a category');
define($constpref.'_TPL_CATEGORY_VIEW', 'Details');
define($constpref.'_TPL_IMAGE_LIST', 'Image list');
define($constpref.'_TPL_IMAGE_EDIT', 'Edit an image');
define($constpref.'_TPL_IMAGE_DELETE', 'Delete an image');
define($constpref.'_TPL_IMAGE_VIEW', 'Details');
define($constpref.'_TPL_IMAGE_BOARD', 'Image list');
define($constpref.'_BASIC_MODULE_NAME', 'Photo album');
define($constpref.'_BASIC_MODULE_NAME_DSC', 'A simple photo album module which can be a deputy imagemanager.');
define($constpref.'_SUBMENU_POST', 'POST');
define($constpref.'_SUBMENU_MY_IMAGE', 'My Image');
define($constpref.'_BLOCK_CATEGORY_LIST', 'Categories');
define($constpref.'_BLOCK_CATEGORY_LIST_DSC', '');
define($constpref.'_BLOCK_LATEST_IMAGES', 'Latest images');
define($constpref.'_BLOCK_LATEST_IMAGES_DSC', '');
define($constpref.'_CONF_IMGMANAGER', 'Use as a site uploader');
define($constpref.'_CONF_IMGMANAGER_DSC', 'In case the directory is renamed, overwrite the redirected dirname of preload/Myuploader_Imagemanager.class.php to correspond with this module.');
define($constpref.'_CONF_NUMPERPAGE', 'number of images per page');
define($constpref.'_CONF_NUMPERPAGE_DSC', '');
define($constpref.'_CONF_UPLOADDIR', 'A directory for uploading images');
define($constpref.'_CONF_UPLOADDIR_DSC', 'The path from your xoops root. must start from "/" and end with no trailing slash.');
define($constpref.'_LANG_LATEST_IMAGES', 'Latest images');
define($constpref.'_CONF_IMAGELIB', 'A library to handle an image');
define($constpref.'_CONF_IMAGELIB_DSC', 'GD must be v2.0 or higher. GD would be if None.');
define($constpref.'_CONF_LISTSTYLE', 'How to show');
define($constpref.'_CONF_LISTSTYLE_LIST', 'List');
define($constpref.'_CONF_LISTSTYLE_ALBUM', 'Album');
define($constpref.'_CONF_LISTSTYLE_DSC', '');
define($constpref.'_CONF_HIGHSLIDE', 'Highslide for an image link');
define($constpref.'_CONF_HIGHSLIDE_DSC', 'Myuploader_TextFilter preload prevails over whole the site.');
define($constpref.'_CONF_FIGURETAG', '[fig] tag in replace of [img] tag');
define($constpref.'_CONF_FIGURETAG_DSC', 'This imagemanager produces [fig] tag by default on all the modules.');
define($constpref.'_CONF_NUMPERLINE', 'Numer of images per line');
define($constpref.'_CONF_NUMPERLINE_DSC', 'Effective in case of an album style.');

define('_MI_MYUPLOADER_LANG_CATEGORY_LIST', 'Category List');
define('_MI_MYUPLOADER_KEYWORD_CATEGORY_LIST', 'CATEGORY_LIST');
define('_MI_MYUPLOADER_LANG_ADD_A_NEW_CATEGORY', 'Add a category');
define('_MI_MYUPLOADER_KEYWORD_CATEGORY_CREATE', 'CATEGORY_CREATE');
define('_MI_MYUPLOADER_LANG_IMAGE_LIST', 'Images list');
define('_MI_MYUPLOADER_KEYWORD_IMAGE_LIST', 'IMAGE_LIST');
define('_MI_MYUPLOADER_LANG_ADD_A_NEW_IMAGE', 'Add an image');
define('_MI_MYUPLOADER_KEYWORD_IMAGE_CREATE', 'IMAGE_CREATE');
define('_MI_MYUPLOADER_LANG_BLOCKS_ADMIN', 'Blocks/ModuleAccess Admin.');
define('_MI_MYUPLOADER_KEYWORD_BLOCKS_ADMIN', 'BLOCKS_ADMIN');
define('_MI_MYUPLOADER_LANG_TEMPLATES_ADMIN', 'Template manager');
define('_MI_MYUPLOADER_KEYWORD_TEMPLATES_ADMIN', 'TEMPLATES_ADMIN');
define('_MI_MYUPLOADER_LANG_LANGUAGES_ADMIN', 'Language constants manager');
define('_MI_MYUPLOADER_KEYWORD_LANGUAGES_ADMIN', 'LANGUAGES_ADMIN');
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_INSTALLED', 'Module {0} could not be installed.');
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_ADMIN_SET', 'Module admin permission of  {0} could not set.');
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_READ_SET', 'Module read permission of {0} could not set.');
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_INSTALLED', 'Module "{0}" was installed.');
define('_MI_MYUPLOADER_INSTALL_ERROR_SQL_FILE_NOT_FOUND', 'SQL file "{0}" is not found.');
define('_MI_MYUPLOADER_INSTALL_MSG_DB_SETUP_FINISHED', 'Database setup was finished.');
define('_MI_MYUPLOADER_INSTALL_MSG_SQL_SUCCESS', 'SQL success : {0}');
define('_MI_MYUPLOADER_INSTALL_MSG_SQL_ERROR', 'SQL error : {0}');
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_INSTALLED', 'Template "{0}" was installed.');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_INSTALLED', "Template '{0}' could not be uninstalled.");
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_COMPILED', 'Compiled template "{0}".');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_COMPILED', 'Could not compile template "{0}".');
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_UNINSTALLED', 'Unistalled template "{0}".');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_UNINSTALLED', 'Coulld not uninstall template "{0}".');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_INSTALLED', "Block '{0}' was installed.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_COULD_NOT_LINK', "Block '{0}' could not be linked to the module.");
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_COULD_NOT_SET', "Block permission of '{0}' could not be set.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_PERM_SET', "Block permission of '{0}' could not be set.");
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_TPL_INSTALLED', "Block template '{0}' was installed.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_TPL_INSTALLED', "Block template '{0}' could not be installed.");
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_UNINSTALLED', "Block '{0}' was uninstalled.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_UNINSTALLED', "Block '{0}' could not be uninstalled.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_PERM_DELETE', "Block permission of '{0}' could not be deleted.");
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_UPDATED', "Block '{0}' was updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_UPDATE', "Block '{0}' could not be updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_INSTALLED', "Block '{0}' could not be installed.");
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_TPL_UNINSTALLED', "Block template '{0}' was uninstalled.");
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_ADDED', "Config '{0}' was added.");
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_ADDED', "Config '{0}' could not be added.");
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_DELETED', "Config '{0}' was deleted.");
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_DELETED', "Config '{0}' could not be deleted.");
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_UPDATED', "Config '{0}' was updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_UPDATED', "Config '{0}' could not be updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_NOT_FOUND', "Config was not found.");
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_INFORMATION_DELETED', "Module information was deleted.");
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_INFORMATION_DELETED', "Module information could not be deleted.");
define('_MI_MYUPLOADER_INSTALL_MSG_TABLE_DOROPPED', "Table '{0}' was dropped.");
define('_MI_MYUPLOADER_INSTALL_ERROR_TABLE_DOROPPED', "Table '{0}' could not be dropped.");
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_TPL_DELETED', "Block template could not be deleted.<br />{0}");
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_UNINSTALLED', "Module '{0}' was uninstalled.");
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULOE_UNINSTALLED', "Module '{0}' could not be uninstalled.");
define('_MI_MYUPLOADER_INSTALL_MSG_UPDATE_STARTED', "Module update started.");
define('_MI_MYUPLOADER_INSTALL_MSG_UPDATE_FINISHED', "Module update was finished.");
define('_MI_MYUPLOADER_INSTALL_ERROR_UPDATE_FINISHED', "Module could not be updated.");
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_UPDATED', "Module '{0}' was updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_UPDATED', "Module '{0}' could not be updated.");
define('_MI_MYUPLOADER_INSTALL_ERROR_TRUST_DIRNAME_UNDEFINED', '{0} is undefined.');
define('_MI_MYUPLOADER_INSTALL_MSG_SKIPPED_DELETING_IMAGES', 'Skipped to remove images.');
define('_MI_MYUPLOADER_INSTALL_ERROR_UPLOADDIR_DELETE', 'Failed to remove {0} directory. Delete it manually by yourself.');
define('_MI_MYUPLOADER_INSTALL_ERROR_UPLOADDIR_SAFEMODE', '{0} directory is guarded by safe_mode settings. Delete it manually by yourself.');
define('_MI_MYUPLOADER_INSTALL_MSG_UPLOADDIR_DELETED', 'Removed the upload directory {0}.');
define('_MI_MYUPLOADER_INSTALL_MSG_IMAGES_DELETED', 'Removed all the images in the upload directory.');

}
?>